<?php

class ModEss_XenResource_ModeratorLogHandler_Resource extends XFCP_ModEss_XenResource_ModeratorLogHandler_Resource
{
	protected function _prepareEntry(array $entry)
	{
		if ($entry['action'] == 'edit')
		{
			// remove our category information as the params are displayed as part of action text
			$elements = json_decode($entry['action_params'], true);
			unset($elements['category_id'], $elements['category_title']);
			$entry['action_params'] = json_encode($elements);
		}

		return parent::_prepareEntry($entry);
	}
}